Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 639876 - dev-libs/openssl-0.9.8z_p8[abi_x86_32] needs '.' in @INC (Can't locate desboth.pl in @INC)
Summary: dev-libs/openssl-0.9.8z_p8[abi_x86_32] needs '.' in @INC (Can't locate desbot...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-12-05 05:41 UTC by Joakim Gebart Nohlgård
Modified: 2017-12-29 02:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
openssl-0.9.8z_p8-perl-5.26.patch (0001-Perl-5.26-build-fix.patch,278 bytes, patch)
2017-12-05 05:41 UTC, Joakim Gebart Nohlgård
Details | Diff
openssl-0.9.8z failed build log (openssl-0.9.8z-build.log.gz,10.28 KB, application/gzip)
2017-12-18 05:12 UTC, Garri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joakim Gebart Nohlgård 2017-12-05 05:41:58 UTC
Created attachment 508210 [details, diff]
openssl-0.9.8z_p8-perl-5.26.patch

openssl-0.9.8z_p8 requires '.' in @INC for des-586.pl

Attached patch fixes the build for me.
Comment 1 Garri 2017-12-18 05:12:57 UTC
Created attachment 510574 [details]
openssl-0.9.8z failed build log

I faced same issue, a build log is attached. The patch openssl-0.9.8z_p8-perl-5.26.patch solved the problem for me. Thanks.
Comment 2 Mark Wright gentoo-dev 2017-12-29 00:07:42 UTC
(In reply to Joakim Gebart Nohlgård from comment #0)
> Created attachment 508210 [details, diff] [details, diff]
> openssl-0.9.8z_p8-perl-5.26.patch
> 
> openssl-0.9.8z_p8 requires '.' in @INC for des-586.pl
> 
> Attached patch fixes the build for me.

Thanks for the patch, it fixes the build for me to.
Comment 3 Thomas Deutschmann gentoo-dev Security 2017-12-29 01:30:26 UTC
Only affects 32bit ABI builds.
Comment 4 Larry the Git Cow gentoo-dev 2017-12-29 01:57:18 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2a23951221fb5f24e6dfa7d01d17ce4fe64d750

commit e2a23951221fb5f24e6dfa7d01d17ce4fe64d750
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2017-12-29 01:56:56 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2017-12-29 01:57:10 +0000

    dev-libs/openssl: Rev bump to allow building with Perl 5.26
    
    Ebuild changes:
    ===============
    - EAPI bumped to EAPI=6
    
    - Added to for '.' in @INC (thanks to Joakim Gebart Nohlgård)
    
    Closes: https://bugs.gentoo.org/639876
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 .../files/openssl-0.9.8z_p8-perl-5.26.patch        |  13 ++
 dev-libs/openssl/openssl-0.9.8z_p8-r1.ebuild       | 167 +++++++++++++++++++++
 2 files changed, 180 insertions(+)